Subject: Re: "Git worktree list" on paths with newlines

From: Junio C Hamano <[email-masked]>
Date: Fri, 25 Feb 2022 09:11:16 -0800

Kang-Che Sung <[email-masked]> writes:

> I wish "git worktree list --porcelain" would show directory names with some
> quoting or escaping so that tricky names can be handled easily for any program
> that reads the porcelain output. But I didn't see any command line option that
> enables quoting or escaping of file names.
>
> Does anyone have an idea on what I could do?

I agree that an output mode that claims to be --porcelain should
produce output that is machine-parseable without ambiguity.

The usual practice is to use quote_c_style() for output without
"-z", and with "-z", just use the NUL as the termination character,
as you shouldn't be listing strings with embedded NUL.